openSUSE Security Update : file (openSUSE-SU-2014:0481-1)

Medium Nessus Plugin ID 75311

Synopsis

The remote openSUSE host is missing a security update.

Description

file was updated to fix extensive backtracking in awk rule regular expression which could lead to a CPU consumption denial of service.

Solution

Update the affected file packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=869906

https://lists.opensuse.org/opensuse-updates/2014-04/msg00008.html

Plugin Details

Severity: Medium

ID: 75311

File Name: openSUSE-2014-270.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2014/06/13

Updated: 2020/06/04

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:file, p-cpe:/a:novell:opensuse:file-debuginfo, p-cpe:/a:novell:opensuse:file-debugsource, p-cpe:/a:novell:opensuse:file-devel, p-cpe:/a:novell:opensuse:libmagic-data, p-cpe:/a:novell:opensuse:libmagic1, p-cpe:/a:novell:opensuse:libmagic1-32bit, p-cpe:/a:novell:opensuse:libmagic1-debuginfo, p-cpe:/a:novell:opensuse:libmagic1-debuginfo-32bit, p-cpe:/a:novell:opensuse:python-magic, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2014/03/28

Reference Information

CVE: CVE-2013-7345